#!/usr/bin/env python

# GNU GENERAL PUBLIC LICENSE (GPLv3)
# Copyright (c) 2020 - 2021 Bernardo Bulgarelli Labronici
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <https://www.gnu.org/licenses/>5.



# Utils tools for Gimp Forensic tools

from gimpfu import *

def image_info(image,text):

    size_px =  int(image.height/30)
    if int(image.width/30) < size_px:
        size_px = int(image.width/30)
    layer = pdb.gimp_text_fontname(image,None,size_px, size_px , text ,-1,True,size_px,PIXELS,"Sans-serif")
    pdb.gimp_image_merge_visible_layers(image, EXPAND_AS_NECESSARY)